# Asterisk Project : Asterisk 13 Application_MP3Player

Created by wikibot on Aug 08, 2014

# MP3Player()

### Synopsis

Play an MP3 file or M3U playlist file or stream.

### Description

Executes mpg123 to play the given location, which typically would be a mp3 filename or m3u playlist filename or a URL. Please read http://en.wikipedia.org/wiki/M3U to see how M3U playlist file format is like, Example usage would be exten => 1234,1,MP3Player(/var/lib/asterisk/playlist.m3u) User can exit by pressing any key on the dialpad, or by hanging up.

This application does not automatically answer and should be preceeded by an application such as Answer() or Progress().

### Syntax

    MP3Player(Location)

##### Arguments

- `Location` - Location of the file to be played. (argument passed to mpg123)

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538